Summary

Jumble Key

Jumble Key is a powerful, yet easy-to-use software application for finding words from patterns of letters. It can be used to help solve word jumble and crossword puzzles.

This software is shareware and can be evaluated for free for 30 days. After that, you must purchase this software to continue using it. You can purchase Jumble Key online at:

https://www.SRS1Software.com/JkRegistration.htm

After you purchase the software, you will be given a registration code. Your copy of Jumble Key will be fully registered after you enter the registration code and your name into the software.

Jumble Key software is produced by SRS1 Software, LLC. We hope you enjoy using Jumble Key!


Requirements

System Requirements

To install and run Jumble Key, you must have:

  • Windows 8, 8.1, 10, or later
  • At least 20 MB of free disk space

Note - Jumble Key uses the Microsoft .NET Framework 4.5.


License Agreement

Using Jumble Key

Using Jumble Key software is fairly straight forward. There are basically three steps:

  1. Select Word Find type
  2. Enter letters/pattern that you want searched
  3. Click the 'Start word search' button and wait for your results

(1) Select Word Find Type

The first thing that you need to do is to select the type of word search that you want Jumble Key to perform. There are currently two options for this: 'Word Jumble' and 'Crossword'.

A 'Word Jumble' search looks at all possible combinations of the letters that you enter and returns all valid words that can be made by re-ordering those letters.

A 'Crossword' search looks for all valid words that contain the letters, in the positions that you specify. For example if you enter "c-t" then it will look at cAt, cBt, cCt, ... cZt and return all words that it finds as valid words.

(2) Enter Letters/Pattern to Search

Next you enter the letters and/or pattern that you want Jumble Key to search.

Word Jumble Pattern

For a 'Word Jumble' search, you enter the jumbled letters in any order. Do not enter any spaces, commas, dashes, semicolons, or anything else besides the actual letters. For example, if you wanted to know all words that can be made from the following three letters: "t", "a", and "c" then you would enter "tac" (without the quotation marks) into the text box. For word jumble searches, the order that you enter the letters do not matter. You will get the same results from "tac" as you would with "tca", "act", etc.

Crossword Pattern

For "Crossword" word searches, the word pattern that you enter should contain all known letters, and a "-" to represent all unknown letters. For example, to search for a three letter word that starts with "c" and ends with "t", you would enter "c-t" (without the quotation marks). To search for a five letter word that starts with "t" and whose third letter is "e", you would enter "t-e--" as your pattern.

(3) Start Word Search

After you have entered the letter pattern that you want searched, you can click on the "Start word search" button to start the search. Jumble Key will first check the letter pattern that you entered and notify you if there are any problems with it (e.g. if you entered invalid characters). If there are no problems, then Jumble Key will display a confirmation dialog with some information about the search that it is about to start. Clicking the 'OK' button on this dialog will start the search.

A progress bar will show the progress during the search. Click the 'cancel' button stop the search at any time. When the search completes, then you are notified by a dialog box, and all valid words found in the search will be displayed in the 'Results' text box.


License Agreement

PROGRAM USER LICENSE AGREEMENT

The installation and utilization of this product (hereinafter the "SOFTWARE") on your microcomputers are expressly subject to full and unreserved acceptance of this Software utilization license Agreement (hereinafter "license"). The license constitutes an agreement between you (a natural or legal person), the end user of the SOFTWARE (hereinafter the "USER") and the publisher of the SOFTWARE (hereinafter referred to as "PUBLISHER").

USER LICENSE

The PROGRAM is protected by international laws and treaties as regards intellectual property. No right of ownership is granted to the USER under the license, only a right of use is granted to the USER. By this license, the PUBLISHER grants the USER a personal, non-transferable right of use in accordance with the terms stated below:

The PROGRAM may be installed and used only by a single USER on a single computer at any one time. Consequently, the PROGRAM must not be installed, displayed, shared or used concomitantly from the computer or on distinct computers.

UNDER NO CIRCUMSTANCES CAN THE SOFTWARE EVER BE RESOLD BY A USER

OWNERSHIP / RESTRICTIONS

~ CONCERNING THE PROGRAM. The PUBLISHER reserves all rights, of any kind whatsoever, not expressly granted under the license. Modifying, adapting, translating, decompiling or undertaking any inverse engineering, disassembling or attempting to find out the source code of the PROGRAM is strictly prohibited.

~ CONCERNING THE MULTIMEDIA FILES PROVIDED WITH THE SOFTWARE. The PUBLISHER and its licensor(s) reserve all their intellectual property rights pertaining to multimedia files that may be provided with the PROGRAM: without limitation, images, audio or video files. The use of those files is reserved for the personal use of the license holder, excluding any other use and in particular (i) for commercial use, or (ii) if the PROGRAM is not used for its intended purpose.

PROTECTION AGAINST COPYING - LICENSE KEY - VERIFICATION MEASURES

The PROGRAM may include a technological measure to protect it against copying in order to prevent any unauthorized reproduction. In accordance with the law, the USER must not circumvent or attempt to circumvent any protective measure against unauthorized copying. Activating or running the PROGRAM beyond a certain period of time may require the entry of a license key (also referred to as a "Registration Code") previously supplied to the USER. The USER recognizes that the license key is the PUBLISHER's exclusive property, that it is strictly confidential information and that, consequently, it must not be disclosed to third parties. The USER undertakes to implement all means available and to act in good faith in order to protect the confidentiality of the license key.

As part of the measures for verifying the use of the license keys, when an Internet connection is open the PROGRAM may test the validity of the key used for the PROGRAM on the site of the USER’s computer. During this test, statistical information only is sent to the PUBLISHER: no nominative information and/or any information that is not directly related to the SOFTWARE license key is sent to the PUBLISHER or to third parties.

TERM

The license is made for an indefinite period. The license will be terminated automatically, without prior notice, in the event of breach by the USER of any one whatsoever of the provisions herein. Termination will result for the USER in the obligation to destroy all copies of the PROGRAM and associated documentation.

LIMITED WARRANTY

The PUBLISHER warrants that the physical medium carrying the PROGRAM (if the program is delivered on a physical medium as opposed to internet download) is free from defects in materials and production for all normal uses. The warranty is valid for 90 days from delivery or from purchase of the PROGRAM. In the event of defect, the remedy offered by the PUBLISHER will, at its option, either be to replace the defective medium, or to refund the purchase price. The PUBLISHER warrants that the PROGRAM is in accordance with its documentation but gives no express warranty as to its correct operation and in particular that the PROGRAM will satisfy performance requirements or that it will run without discontinuity or bugs. The PUBLISHER gives no other express or implicit warranty under the license. The PUBLISHER has offered the PRODUCT in good faith. Any consequential damage due to the use of the PRODUCT is the sole responsibility of the user. The PUBLISHER is not responsible for any direct or indirect damages caused by the PROGRAM.

PARTIAL NON VALIDITY

If any one of the clauses or provisions in the license is ruled null and void or not written, the remaining provisions shall nonetheless remain valid.

HONOR ALL COPYRIGHTS FOR ANY DIGITAL IMAGES USED IN CONJUNCTION WITH THIS SOFTWARE

© SRS1 Software, LLC and its licensors – all rights reserved

NETSPELL 2.1.7 OPEN SOURCE COMPONENT

This software utilizes the Netspell 2.1.7 open source component. The following license copyright, list of conditions, and disclaimer apply only to the Netspell 2.1.7 component which is included with this software, and not to the rest of the software:

NETSPELL 2.1.7 COPYRIGHT:

Copyright (c) 2003, Paul Welter All rights reserved.

NETSPELL 2.1.7 LIST OF CONDITIONS:

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1) Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2) Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3) Neither the name of the ORGANIZATION nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

NETSPELL 2.1.7 DISCLAIMER:

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Product Registration

Jumble Key is offered as a trialware program. You are free to download and try out the program for 30 days, so that you can see how it works and decide if you want to buy it. After the trial period, you must purchase the software to continue using it.

You can purchase from our website at:

https://www.SRS1Software.com/JkRegistration.htm

Once you purchase Jumble Key, you will immediately be given a registration code. You will also be emailed a copy of your registration code for your records. The next step is to enter your registration information into the Jumble Key Registration dialog box. You can access the registration dialog by selecting "Help-->Registration" from the Jumble Key main menu. After entering your registration information, you then click the "Process Registration Information" button. From that point on, your product will be registered.

We thank you for your support and we hope that you enjoy using Jumble Key!


Contact Us

This program is produced by SRS1 Software, LLC. Visit our website for product updates and information. Minor product updates are always free:

https://www.srs1software.com

Support issues can be sent to support@srs1software.com

We encourage you to send us your comments and suggestions. You can email us at feedback@srs1software.com.

We hope that you enjoy using Jumble Key!